
Redmine - Patch #261

Redirect to the issue page after creating a new issue

2008-02-02 18:49 - Milton Taylor

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

When a new issue is created, currently control returns to the issue index list. You then need to reselect it from the

list to do any further edits. If you did not actually assign the issue to yourself in the process of creating it, the

issue is lost from your view of the index page, making it difficult to know what it's new number is too.

This patch changes where control goes after creating the new issue. It redirects back to the issue display page, so

that it can be further updated, time logged etc.  This way it is also consistent with what happens after completing

an edit to an issue.

Associated revisions

Revision 1243 - 2008-03-13 14:59 - John Goerzen

Redirect to issue page after creating a new issue

Previous behavior was to redirect to the issue list with a "successful

creation" message.  This patch will redirect to the page for the

newly-created issue, still with the "successful creation" message.

This matches the behavior after editing an issue and also provides

instant feedback for the user to see if anything went wrong.

Closes #261 and uses the patch contained therein

History

#1 - 2008-02-23 15:30 - chris mcharg

- File redirect-to-new-issue.patch added

+1 for this.

I think users definitely want to see the ticket they have just created.

I have attached an update patch that applies cleanly to r1172

#2 - 2008-03-13 15:17 - John Goerzen

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r1243.

Files

new_issue_redirect.txt 732 Bytes 2008-02-03 Milton Taylor

redirect-to-new-issue.patch 706 Bytes 2008-02-23 chris mcharg
